Subject: ObjectAccess::setProperty must work with numeric indexes

Description

When trying to set a value to an ArrayAccess object with a numeric index, the ObjectAccess::setProperty() method throws an
exception because $propertyName must be a string.

However, we should allow integers there as well.

This changeset is needed for the refactored TYPO3 Phoenix Rendering.

Associated revisions

Revision d473ee2f - 2012-02-22 14:02 - Sebastian Kurfuerst

[BUGFIX] (Reflection): ObjectAccess::setProperty must work with numeric indexes
When trying to set a value to an ArrayAccess object with a numeric index, the
ObjectAccess::setProperty() method throws an exception because $propertyName
must be a string.

However, we should allow integers there as well.

Resolves: #33698

Releases: 1.1
Change-Id: 185e942ef9990cf035187a155b3f84b3a76885d4b

History

#1 - 2012-02-06 07:04 - Sebastian Kurfuerst
- Affected Flow version changed from Git master to FLOW3 1.0.0

#2 - 2012-02-06 07:05 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8857

#3 - 2012-02-22 14:03 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
http://review.typo3.org/8857

It is available at http://review.typo3.org/8857

#4 - 2012-03-01 02:38 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:d473ee2f0e9409959b594d1198bd4d225d8b367c.
